diff -Nurd a/Packages-arch-specific b/Packages-arch-specific
--- a/Packages-arch-specific	2013-11-22 20:11:08.000000000 +0900
+++ b/Packages-arch-specific	2014-01-09 01:39:08.000000000 +0900
@@ -73,7 +73,7 @@
 %grub: i386 hurd-i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64         # i386 boot loader
 grub-installer: i386 amd64 hurd-i386 lpia powerpc kfreebsd-i386 kfreebsd-amd64 mipsel # only useful if you have grub
 guml: i386 amd64						      # depends on user-mode-linux
-%haskell-debian: amd64 i386 kfreebsd-amd64 kfreebsd-i386 powerpc      # Requires threaded Haskell runtime
+%haskell-debian: amd64 i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64	# Requires threaded Haskell runtime
 hdaps-utils: i386 amd64 kfreebsd-i386 kfreebsd-amd64    	      # IBM laptop specific
 hdapsd: i386 amd64 powerpc                      		      # IBM/Apple laptop specific
 hotkey-setup: i386 amd64 lpia                        		      # specific to x86 laptop models
@@ -90,7 +90,7 @@
 %ldc: !s390 !s390x						      # needs porting
 %libacpi: amd64 i386 ia64 lpia					      # acpi is i386/ia64 specific
 %libdbd-informix-perl: i386                                           # ANAIS
-%libgcr410: i386 amd64						      # [ANAIS]
+%libgcr410: i386 amd64 ppc64						      # [ANAIS]
 %libopenspc: i386 kfreebsd-i386					      # i386 assembler
 %libsendmail-milter-perl: !ia64					      # ANAIS
 %libsmbios: i386 amd64 ia64 lpia				      # ANAIS
@@ -125,14 +125,14 @@
 %linux-modules-di-s390-2.6: s390
 %linux-modules-di-s390x-2.6: s390x
 %linux-modules-di-sparc-2.6: sparc
-%linux-wlan-ng: amd64 i386 powerpc arm armel armhf alpha hppa lpia	      # ANAIS [?]
+%linux-wlan-ng: amd64 i386 powerpc arm armel armhf alpha hppa ppc64 lpia	      # ANAIS [?]
 lkl: i386 kfreebsd-i386						      # i386 kb hardware specific
 lphdisk: i386							      # i386 laptop specific
 lsadb: powerpc							      # macintosh-only bus
 loadlin: i386 amd64						      # i386 boot loader
 longrun: i386							      # i386 Crusoe specific
 %lush: !ia64							      # ANAIS, #267494
-%mac-fdisk: m68k powerpc 					      # Apple Mac fdisk
+%mac-fdisk: m68k powerpc ppc64					      # Apple Mac fdisk
 %makedumpfile: amd64 i386 ia64 powerpc				      # not yet ported to other platforms
 mbr: i386 amd64 lpia                                                  # i386 boot loader
 %mcelog: i386 amd64						      # [ANAIS]
@@ -145,7 +145,7 @@
 mknbi: amd64 i386 kfreebsd-amd64 kfreebsd-i386			      # i386 specific
 mkrboot: i386                                                         # i386 boot loader utilities
 %mkelfimage: i386 amd64 ia64					      # [ANAIS]
-%mkvmlinuz: powerpc						      # Powerpc kernel from open firmware.
+%mkvmlinuz: powerpc ppc64						      # Powerpc kernel from open firmware.
 mocka: i386							      # i386 only compiler
 mondo: i386 amd64						      # needs mindi
 morse: i386							      # i386 specific
@@ -162,7 +162,7 @@
 %gpart: i386 hurd-i386 ia64 alpha arm armel mipsel amd64	      # little endian specific
 nspluginwrapper: amd64						      # amd64 specific
 %ntp: !hurd-i386						# does not have the needed system calls.
-%numactl: i386 amd64 ia64 mips mipsel powerpc			      # ANAIS
+%numactl: i386 amd64 ia64 mips mipsel powerpc ppc64			      # ANAIS
 nvram-wakeup: i386 amd64					      # i386 BIOS specific
 %nvtv: i386 amd64						      # [?] ANAIS, <sys/io.h>
 %oaklisp: !amd64 !ia64 !alpha !kfreebsd-amd64			# No 64 bit support. (#510218)
@@ -186,8 +186,8 @@
 pnputils: i386 amd64						      # x86 specific, needs a PnP-BIOS
 %pommed: i386 amd64 powerpc					      # specific to Apple laptops
 powerpc-ibm-utils: powerpc					      # powerpc specific
-powerpc-utils: powerpc						      # powerpc specific
-%prctl: hppa ia64 alpha powerpc					      # ANAIS based on syscall availability
+powerpc-utils: powerpc ppc64						      # powerpc specific
+%prctl: hppa ia64 alpha powerpc ppc64					      # ANAIS based on syscall availability
 %prelink: !hppa							      # No upstream support
 primaxscan: i386 kfreebsd-i386 amd64 kfreebsd-amd64		      # [?]
 %proll: sparc							      # Build-deps sparc-utils
@@ -221,7 +221,7 @@
 %silo-installer: sparc						      # sparc lilo
 %slicer: !alpha !armel !mips !mipsel
 %sparc-utils: sparc                                                   # sparc specific
-%splay: i386 alpha arm armel armhf m68k powerpc			      # [?] broken on sparc (see BTS]
+%splay: i386 alpha arm armel armhf m68k powerpc ppc64		      # [?] broken on sparc (see BTS]
 %spring: i386 amd64						      # x86 specific, needs java5 and hardware accellerated OpenGL
 %springlobby: i386 amd64					      # Depends on spring
 %stalin: i386 amd64 ia64 sparc kfreebsd-i386 kfreebsd-amd64	      # [ANAIS]
@@ -262,7 +262,7 @@
 yaboot: powerpc							      # PowerPC Bootloader
 yaboot-installer: powerpc					      # PowerPC Bootloader installer
 %yacpi: i386 amd64 ia64						      # acpi is i386/amd64/ia64 specific
-yforth: i386 m68k sparc arm armel powerpc kfreebsd-i386 kfreebsd-amd64 # compiler
+yforth: i386 m68k sparc arm armel powerpc ppc64 kfreebsd-i386 kfreebsd-amd64	# compiler
 z88dk: !alpha                                                         # 32bit only (using -m32 on amd64 and ia64)
 zorroutils: m68k powerpc					      # zorro (Amiga) specific
 
@@ -334,13 +334,13 @@
 %xview: !ia64 !amd64 !kfreebsd-amd64		     # [ANAIS] see #125391
 
 # isdnutils has one arch: any package (isdnvboxclient), so we can't % it ....
-isdnutils: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
+isdnutils: amd64 alpha arm armel i386 ia64 m68k powerpc ppc64 sparc mips mipsel lpia
 isdnutils-xtools: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
 ipppd: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
 isdnlog: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
 isdnvbox: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
 isdnvboxserver: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
-isdnactivecards: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
+isdnactivecards: amd64 alpha arm armel i386 ia64 m68k powerpc ppc64 sparc mips mipsel lpia
 pppdcapiplugin: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
 isdneurofile: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
 %capi4hylafax: amd64 alpha arm armel i386 ia64 m68k powerpc sparc mips mipsel lpia
@@ -351,7 +351,7 @@
 %ibutils: i386 ia64 amd64 powerpc
 %infiniband-diags: i386 ia64 amd64 powerpc
 %libibcm: i386 ia64 amd64 powerpc
-%libibcommon: i386 ia64 amd64 powerpc
+%libibcommon: i386 ia64 amd64 powerpc ppc64
 %libibmad: i386 ia64 amd64 powerpc
 %libibumad: i386 ia64 amd64 powerpc
 %libsdp: i386 ia64 amd64 powerpc
